package speiger.src.data;

import java.awt.Point;
import java.util.Map;
import java.util.UUID;

public record Collectable(String name, UUID id, CollectableType type, Point position, EndPoint end, Map<String, TaggedImage> images) {
	public boolean hasEndpoint() {
		return end != null;
	}
}
